# Uses of Interface
org.eclipse.birt.chart.model.component.ComponentFactory

Packages that use ComponentFactory
Package
Description
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of ComponentFactory in org.eclipse.birt.chart.model.component

Fields in org.eclipse.birt.chart.model.component declared as ComponentFactory
Modifier and Type
Field
Description
`static final ComponentFactory`
ComponentFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.birt.chart.model.component that return ComponentFactory
Modifier and Type
Method
Description
`ComponentFactory`
ComponentPackage.`getComponentFactory()`
Returns the factory that creates the instances of the model.

## Uses of ComponentFactory in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement ComponentFactory
Modifier and Type
Class
Description
`class`
`ComponentFactoryImpl`
An implementation of the model Factory .
Methods in org.eclipse.birt.chart.model.component.impl that return ComponentFactory
Modifier and Type
Method
Description
`ComponentFactory`
ComponentPackageImpl.`getComponentFactory()`
`static ComponentFactory`
ComponentFactoryImpl.`init()`
Creates the default factory implementation.